description

# Gamepad class Null safety

Annotations
  - @Native("Gamepad")

## Properties

axes → List<num>?
  read-only
buttons → List<GamepadButton>?
  @Creates('JSExtendableArray|GamepadButton'), @Returns('JSExtendableArray'), read-only
connected → bool?
  read-only
displayId → int?
  read-only
hand → String?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
id → String?
  read-only
index → int?
  read-only
mapping → String?
  read-only
pose → GamepadPose?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
timestamp → int?
  read-only

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited